com.taosdata.jdbc.ws.loadbalance

## Class StepResponse

- java.lang.Object
- - com.taosdata.jdbc.ws.loadbalance.StepResponse

    public class StepResponse
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`StepResponse(StepEnum step, int waitSeconds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StepEnum` `getStep()`
`int` `getWaitSeconds()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StepResponse

    public StepResponse(StepEnum step,
                        int waitSeconds)

### Method Detail

#### getStep

    public StepEnum getStep()

#### getWaitSeconds

    public int getWaitSeconds()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`